> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an API Key

> Creates a new API key. The new key is granted the same permissions as the API key that authenticates this request.



## OpenAPI

````yaml /api-reference/2025-05-05/openapi.yaml post /v2/keys
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/keys:
    post:
      tags:
        - Keys
      summary: Create an API Key
      description: >-
        Creates a new API key. The new key is granted the same permissions as
        the API key that authenticates this request.
      operationId: createKey
      responses:
        '200':
          description: API Key created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Key'
        '401':
          description: Unauthorized
components:
  schemas:
    Key:
      type: object
      description: Represents an API Key
      properties:
        key:
          type: string
          description: API Key value
          example: test_
        created_at:
          type: string
          description: the RFC-3339 date when the key was created
          example: '2025-02-13T19:08:07.000Z'
        deleted_at:
          type: string
          description: the RFC-3339 date when the key was deleted
          example: '2025-02-13T19:08:07.000Z'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Basic HTTP authentication. Allowed headers-- Authorization: Basic
        <base64(api_key_id:api_key_secret)>
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.